function addCheckItems() {
  // ^XNXg擾
  var data= JSON.parse(getTasklist());
  var tasks = data['tasklist']['tasks'];

  // uC^r[v^OID
  var tagId = PropertiesService.getScriptProperties().getProperty('TAG_ID');
  // ̓
  var now = new Date();
  var yesterday = new Date(now.getFullYear(), now.getMonth(), now.getDate() - 1);

  // ȓɍ쐬ꂽ^XNŁuC^r[v^O̂Ƀ`FbNXgǉ
  for(var i in tasks){
    if (new Date(tasks[i].created) > yesterday && tasks[i].tags.indexOf(tagId) >= 0) {
      addItem(tasks[i].task_id, 'A|');
      addItem(tasks[i].task_id, '@ގz');
    }
  }
}

/* 
* ^XNXg擾
*/
function getTasklist(){
  var payload =
      {
        'access_token': PropertiesService.getScriptProperties().getProperty('ACCESS_TOKEN'),
        'space_id': PropertiesService.getScriptProperties().getProperty('SPACE_ID'),
        'project_id': PropertiesService.getScriptProperties().getProperty('PROJECT_ID'),
        'tasklist_id': PropertiesService.getScriptProperties().getProperty('TASKLIST_ID')
      };
  return postRequest('tasklist.get-tasks', payload);
}

/* 
* ^XNɃ`FbNXgACeǉ
*/
function addItem(taskId, title){
  var payload =
      {
        'access_token': PropertiesService.getScriptProperties().getProperty('ACCESS_TOKEN'),
        'task_id': taskId,
        'title': title
      };
  var response = postRequest('checklist.add-item', payload);
  Logger.log(response.getContentText('UTF-8'));
}

/* 
* ^XN[hAPI POSTM
*/
function postRequest(command, payload){
  var options =
      {
        'method' : 'POST',
        'payload' : payload
      };
  return UrlFetchApp.fetch('https://asia-api.taskworld.com/v1/' + command, options);
}
